Last Comment Bug 524030 - Fix 4 "Warning: package error or possible missing or unnecessary file: bin/extensions/langpack-en-US@chatzilla.mozilla.org/*"
: Fix 4 "Warning: package error or possible missing or unnecessary file: bin/ex...
Status: VERIFIED FIXED
[fixed by bug 521523]
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
http://mxr.mozilla.org/mozilla/search...
Depends on: 408843 521523
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-22 20:52 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-02-11 00:13 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Serge Gautherie (:sgautherie) 2009-10-22 20:52:42 PDT
Same on trunk and 2.0 branch:

{
[chatzilla]
bin/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/components/chatzilla-service.js
bin/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/chrome/chatzilla.jar
bin/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/chrome/icons/default/chatzilla-window.ico
bin/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/chrome.manifest
bin/extensions/{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}/install.rdf
Warning: package error or possible missing or unnecessary file: bin/extensions/langpack-en-US@chatzilla.mozilla.org/chrome/chatzilla.jar (packages, 491).
Warning: package error or possible missing or unnecessary file: bin/extensions/langpack-en-US@chatzilla.mozilla.org/chrome.manifest (packages, 492).
Warning: package error or possible missing or unnecessary file: bin/extensions/langpack-en-US@chatzilla.mozilla.org/install.js (packages, 493).
Warning: package error or possible missing or unnecessary file: bin/extensions/langpack-en-US@chatzilla.mozilla.org/install.rdf (packages, 494).
}

I don't know much about l10n. KaiRo?
Comment 1 Robert Kaiser (not working on stability any more) 2009-10-23 05:06:51 PDT
Thos are intentional, as we want to be able to package localized builds, and langpack-@ab-CD@/ exists there.
Comment 2 Serge Gautherie (:sgautherie) 2009-10-24 08:25:26 PDT
Is/Could there an 'ifdef' or something we could use?
Comment 3 Robert Kaiser (not working on stability any more) 2009-10-24 12:07:21 PDT
(In reply to comment #2)
> Is/Could there an 'ifdef' or something we could use?

Not an ifdef by itself, possibly some convoluted construct defining something in a Makefile which then can be used by an ifdef there, but I don't think it's worht that for fighting the non-issue of such a package warning.
Comment 4 Serge Gautherie (:sgautherie) 2010-02-10 12:04:48 PST
Bug 521523 landing removed the following lines too:
{
make package-compare

-bin/extensions/langpack-en-US@chatzilla.mozilla.org/chrome.manifest
-bin/extensions/langpack-en-US@chatzilla.mozilla.org/chrome/chatzilla.jar
-bin/extensions/langpack-en-US@chatzilla.mozilla.org/install.js
-bin/extensions/langpack-en-US@chatzilla.mozilla.org/install.rdf
}
Comment 5 Serge Gautherie (:sgautherie) 2010-02-10 12:05:19 PST
V.Fixed, per tinderboxes.
Comment 6 Robert Kaiser (not working on stability any more) 2010-02-10 12:09:23 PST
yes, I intentionally added an ifdef for that, to make you feel better ;-)

Note You need to log in before you can comment on or make changes to this bug.